FunctionMapperImpl (Apache Tomcat 9.0.43 API Documentation)

org.apache.el.lang

## Class FunctionMapperImpl

- java.lang.Object
- - javax.el.FunctionMapper
  - - org.apache.el.lang.FunctionMapperImpl

- All Implemented Interfaces:
    Externalizable, Serializable

      public class FunctionMapperImpl
      extends FunctionMapper
      implements Externalizable

  Author:
    Jacob Hookom [jacob@hookom.net]
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FunctionMapperImpl.Function`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ConcurrentMap<String,FunctionMapperImpl.Function>` | `functions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FunctionMapperImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `mapFunction(String prefix, String localName, Method m)` Map a method to a function name.
    `void` | `readExternal(ObjectInput in)`
    `Method` | `resolveFunction(String prefix, String localName)`
    `void` | `writeExternal(ObjectOutput out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### functions

          protected ConcurrentMap<String,FunctionMapperImpl.Function> functions

  - ### Constructor Detail

    - #### FunctionMapperImpl

          public FunctionMapperImpl()

  - ### Method Detail

    - #### resolveFunction

          public Method resolveFunction(String prefix,
                                        String localName)

      Specified by:
        `resolveFunction` in class `FunctionMapper`

    - #### mapFunction

          public void mapFunction(String prefix,
                                  String localName,
                                  Method m)

      Description copied from class: `javax.el.FunctionMapper`
      Map a method to a function name.
      Overrides:
        `mapFunction` in class `FunctionMapper`
      Parameters:
        `prefix` - Function prefix
        `localName` - Function name
        `m` - Method

    - #### writeExternal

          public void writeExternal(ObjectOutput out)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Throws:
        `IOException`

    - #### readExternal

          public void readExternal(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

      Specified by:
        `readExternal` in interface `Externalizable`
      Throws:
        `IOException`
        `ClassNotFoundException`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.